- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Locator_Repository Class Reference

Database containing all ImR persistent information. More...

`#include <Locator_Repository.h>`

Collaboration diagram for Locator_Repository:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Server_Info_Ptr, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | SIMap
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, Activator_Info_Ptr, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | AIMap
## Public Member Functions
| Locator_Repository ()
int | init (const Options &opts)
| Initializes the Server Repository.
int | add_server (const ACE_CString &name, const ACE_CString &aname, const ACE_CString &startup_command, const ImplementationRepository::EnvironmentList &environment_vars, const ACE_CString &working_dir, ImplementationRepository::ActivationMode activation, int start_limit, const ACE_CString &partial_ior=ACE_CString(""), const ACE_CString &ior=ACE_CString(""), ImplementationRepository::ServerObject_ptr svrobj=ImplementationRepository::ServerObject::_nil())
| Add a new server to the Repository.
int | add_activator (const ACE_CString &name, const CORBA::Long token, const ACE_CString &ior=ACE_CString(""), ImplementationRepository::Activator_ptr act=ImplementationRepository::Activator::_nil())
| Add a new activator to the Repository.
int | update_server (const Server_Info &info)
| Update the associated information.
int | update_activator (const Activator_Info &info)
| Update the associated information.
Server_Info_Ptr | get_server (const ACE_CString &name)
| Returns information related to startup.
Activator_Info_Ptr | get_activator (const ACE_CString &name)
| Returns information related to startup.
bool | has_activator (const ACE_CString &name)
int | remove_server (const ACE_CString &name)
| Removes the server from the Repository.
int | remove_activator (const ACE_CString &name)
| Removes the activator from the Repository.
SIMap & | servers (void)
| Returns the internal hash map containing the server information.
AIMap & | activators (void)
| Returns the internal hash map containing the activator information.
const char * | repo_mode ()
## Private Attributes
Options::RepoMode | rmode_
SIMap | server_infos_
AIMap | activator_infos_
ACE_Auto_Ptr< ACE_Configuration > | config_
ACE_CString | fname_

## Detailed Description

Database containing all ImR persistent information.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Activator_Info_Ptr, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> Locator_Repository::AIMap

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, Server_Info_Ptr, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> Locator_Repository::SIMap

## Constructor & Destructor Documentation

Locator_Repository::Locator_Repository | ( |  | ) |

## Member Function Documentation

Locator_Repository::AIMap & Locator_Repository::activators | ( | void |  | ) |

Returns the internal hash map containing the activator information.

int Locator_Repository::add_activator | ( | const ACE_CString & | name,
|  | const CORBA::Long | token,
|  | const ACE_CString & | ior = `ACE_CString("")`,
|  | ImplementationRepository::Activator_ptr | act = `ImplementationRepository::Activator::_nil()` |
| ) |  |  |

Add a new activator to the Repository.

int Locator_Repository::add_server | ( | const ACE_CString & | name,
|  | const ACE_CString & | aname,
|  | const ACE_CString & | startup_command,
|  | const ImplementationRepository::EnvironmentList & | environment_vars,
|  | const ACE_CString & | working_dir,
|  | ImplementationRepository::ActivationMode | activation,
|  | int | start_limit,
|  | const ACE_CString & | partial_ior = `ACE_CString("")`,
|  | const ACE_CString & | ior = `ACE_CString("")`,
|  | ImplementationRepository::ServerObject_ptr | svrobj = `ImplementationRepository::ServerObject::_nil()` |
| ) |  |  |

Add a new server to the Repository.

Activator_Info_Ptr Locator_Repository::get_activator | ( | const ACE_CString & | name | ) |

Returns information related to startup.

Server_Info_Ptr Locator_Repository::get_server | ( | const ACE_CString & | name | ) |

Returns information related to startup.

bool Locator_Repository::has_activator | ( | const ACE_CString & | name | ) |

int Locator_Repository::init | ( | const Options & | opts | ) |

Initializes the Server Repository.

int Locator_Repository::remove_activator | ( | const ACE_CString & | name | ) |

Removes the activator from the Repository.

int Locator_Repository::remove_server | ( | const ACE_CString & | name | ) |

Removes the server from the Repository.

const char * Locator_Repository::repo_mode | ( |  | ) |

Locator_Repository::SIMap & Locator_Repository::servers | ( | void |  | ) |

Returns the internal hash map containing the server information.

int Locator_Repository::update_activator | ( | const Activator_Info & | info | ) |

Update the associated information.

int Locator_Repository::update_server | ( | const Server_Info & | info | ) |

Update the associated information.

## Member Data Documentation

AIMap Locator_Repository::activator_infos_`[private]`

ACE_Auto_Ptr<ACE_Configuration> Locator_Repository::config_`[private]`

ACE_CString Locator_Repository::fname_`[private]`

Options::RepoMode Locator_Repository::rmode_`[private]`

SIMap Locator_Repository::server_infos_`[private]`

The documentation for this class was generated from the following files:

- Locator_Repository.h
- Locator_Repository.cpp